# Import knihoven
from arcgis.gis import GIS
import logging

# Vytvoření loggeru
logger = logging.getLogger(__name__)
logger.setLevel(logging.DEBUG)

# Nastavení formátu logu
formatter = logging.Formatter("%(asctime)s - %(levelname)s - %(message)s")

# Souborový handler pro ukládání logu
file_handler = logging.FileHandler("C:/Users/lukas/Documents/ArcGIS/log.txt", mode="w")
file_handler.setFormatter(formatter)

# Přidání handleru do loggeru
logger.addHandler(file_handler)

# Připojení k GIS pomocí aktuálního uživatelského kontextu v ArcGIS Pro
gis = GIS("pro")

# Získání objektu s informacemi o aktuálním uživateli
me = gis.users.me

# Zobrazení základních informací o uživateli
print(f"Uživatelské jméno: {me.username}")
print(f"Jméno: {me.fullName}")
print(f"Email: {me.email}")
print(f"Role: {me.role}")

# Zobrazení podrobnějších informací o právech uživatele
print("Práva:")
for privilege in me.privileges:
    print(f"- {privilege}")

# Záznam základních informací o uživateli
logger.info(f"Uživatelské jméno: {me.username}")
logger.info(f"Jméno: {me.fullName}")
logger.info(f"Email: {me.email}")
logger.info(f"Role: {me.role}")

# Záznam podrobnějších informací o právech uživatele
logger.info("Práva:")
for privilege in me.privileges:
    logger.info(f"- {privilege}")